<Type Name="CookieContainer" FullName="System.Net.CookieContainer">
  <TypeSignature Language="C#" Value="public class CookieContainer" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="DefaultCookieLimit">
      <MemberSignature Language="C#" Value="public static int DefaultCookieLimit;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DefaultPerDomainCookieLimit">
      <MemberSignature Language="C#" Value="public static int DefaultPerDomainCookieLimit;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DefaultCookieLengthLimit">
      <MemberSignature Language="C#" Value="public static int DefaultCookieLengthLimit;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Add">
      <MemberSignature Language="C#" Value="public void Add (Cookie cookie);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="cookie" Type="System.Net.Cookie" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="cookie">To be added: an object of type 'Cookie'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Add">
      <MemberSignature Language="C#" Value="public void Add (CookieCollection cookies);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="cookies" Type="System.Net.CookieCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="cookies">To be added: an object of type 'CookieCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Add">
      <MemberSignature Language="C#" Value="public void Add (Uri uri, Cookie cookie);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="uri" Type="System.Uri" />
		<Parameter Name="cookie" Type="System.Net.Cookie" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="uri">To be added: an object of type 'Uri'</param>
        <param name="cookie">To be added: an object of type 'Cookie'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Add">
      <MemberSignature Language="C#" Value="public void Add (Uri uri, CookieCollection cookies);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="uri" Type="System.Uri" />
		<Parameter Name="cookies" Type="System.Net.CookieCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="uri">To be added: an object of type 'Uri'</param>
        <param name="cookies">To be added: an object of type 'CookieCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetCookies">
      <MemberSignature Language="C#" Value="public CookieCollection GetCookies (Uri uri);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Net.CookieCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="uri" Type="System.Uri" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="uri">To be added: an object of type 'Uri'</param>
        <returns>To be added: an object of type 'CookieCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetCookieHeader">
      <MemberSignature Language="C#" Value="public string GetCookieHeader (Uri uri);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="uri" Type="System.Uri" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="uri">To be added: an object of type 'Uri'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SetCookies">
      <MemberSignature Language="C#" Value="public void SetCookies (Uri uri, string cookieHeader);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="uri" Type="System.Uri" />
		<Parameter Name="cookieHeader" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="uri">To be added: an object of type 'Uri'</param>
        <param name="cookieHeader">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CookieContainer ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CookieContainer'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CookieContainer (int capacity);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="capacity" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="capacity">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'CookieContainer'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public CookieContainer (int capacity, int perDomainCapacity, int maxCookieSize);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="capacity" Type="System.Int32" />
		<Parameter Name="perDomainCapacity" Type="System.Int32" />
		<Parameter Name="maxCookieSize" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="capacity">To be added: an object of type 'int'</param>
        <param name="perDomainCapacity">To be added: an object of type 'int'</param>
        <param name="maxCookieSize">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'CookieContainer'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Capacity">
      <MemberSignature Language="C#" Value="public int Capacity { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Count">
      <MemberSignature Language="C#" Value="public int Count { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="MaxCookieSize">
      <MemberSignature Language="C#" Value="public int MaxCookieSize { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="PerDomainCapacity">
      <MemberSignature Language="C#" Value="public int PerDomainCapacity { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
